import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Turbine"
import "Turbine.Gameplay"
---------------------------------------
--             percent bar for lotro
--
--            by FreePlay 10/13/2011              
--
--              Version 0.2beta
---------------------------------------

percentBar = class(Turbine.UI.Window);

function percentBar:Constructor()
   Turbine.UI.Window:Constructor(self)
    
    self.max = 0
    self.min = 0
    self.curr = 0
    self.mWidth = 0
    self.mHeight = 0
    self.mode = 1
    self.percent = 0
    self.background = ""
    self:SetPosition(0,0)
    
    self.backLbl = Turbine.UI.Control()
   self.backLbl:SetParent(self)
    self.backLbl:SetPosition(0,0)
    self.backLbl:SetZOrder(13)
        
    self.frontLbl = Turbine.UI.Label()
   self.frontLbl:SetParent(self)
    self.frontLbl:SetPosition(0,0)
    self.frontLbl:SetZOrder(14)
    
    self.txtLbl = Turbine.UI.Label()
    self.txtLbl:SetParent(self)
    self.txtLbl:SetPosition(0,0) 
    self.txtLbl:SetZOrder(15)
    
   self.txtLbl:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );

    
    
end
function percentBar:txtSetTop(t)
    self.txtLbl:SetTop(t)
end
function percentBar:txtSetLeft(l)
    self.txtLbl:SetLeft(l)
end
function percentBar:SetMaxWidth(w)
    self.mWidth = w
end
function percentBar:SetMaxHeight(h)
    self.mHeight = h
end
function percentBar:sFont(fonts) -- set font
    self.txtLbl:SetFont(fonts)

end
function percentBar:setTxt(txt)
    self.txtLbl:SetText(txt)
end
function percentBar:setBarBgColor(color)
    self.backLbl:SetBackColor(color);
end
function percentBar:SetBarImg(path)
    self.frontLbl:SetBackground(path);
    
end
function percentBar:setMode(mode)
    self.mode = tonumber(mode)
end
function percentBar:getPercent(max, curr)
    return curr / max;
end
function percentBar:Upd(percent)
    local cWidth = 0
    local cHeight = 0
    if (self.mode == 1) then
        cWidth = percent * self.mWidth
        if(cWidth > self.mWidth) then
            cWidth = self.mWidth
         end
         if(cWidth < 0) then
            cWidth = 0
         end
        self.frontLbl:SetSize(cWidth, self.mHeight)
            self:setCurrent(cWidth) 
    else
        cHeight = percent * self.mHeight
         if(cHeight > self.mHeight) then
            cHeight = self.mHeight
         end
         if(cHeight < 0) then
            cHeight = 0
         end
        self.frontLbl:SetSize(self.mWidth, cHeight)
            self:setCurrent(cHeight) 
        
    end

   
end
function percentBar:setSizeOf(w, h)
    self:SetSize(w, h)
    self.txtLbl:SetSize(w,h)

    self.backLbl:SetSize(w,h)
end
function percentBar:SetMinMax(min,max)
    self.min = min
    self.max = max
end
function percentBar:setCurrent(curr)
    self.curr = curr;
end